'Many of the programs I have written use various data files representing
'the Dobbshead.  These files were created "by hand" (as opposed to using
'a scanner) from the official Dobbshead.  The official (true) Dobbshead
'can be divided into square cells such that a "dot" appears at opposite
'corners of each cell.  As on a TV screen the information that is the
'Dobbshead is such that each cell has a tone, or shade.  Thus the Dobbshead
'is analog in the sense that the degree of shading of any one cell can
'theoretically take on any value in a continuum, and is digital (or, better,
'"discrete") in the sense that it is composed of cells.

'The data file known as "BOB" was created first and represents a complete
'digitization of the Dobbshead.  Each cell is assigned a value of 1 if the
'black dots meet, and a value of 0 if they don't.  This is a "true"
'(objective) representation but limited.  The most obvious flaw is that
'"Bob"'s skin is just as "white" as his teeth and the whites of his eyes.
'The size of the cell layout is such that the Dobbshead fits nicely on the
'screen when each cell is a square 3 pixels by 3 pixels.

'The data file called "BOBLUR" was generated from BOB.  It reduces the
'cell layout by a factor of 3 by taking 9 cells (3 by 3) and storing
'them as 1 cell.  Each cell in BOBLUR takes on a value from 0 to 9,
'based on the number of "1"s in the BOB data.  Thus BOBLUR can be used
'to draw smaller "Bob"s.  The cells can take on 10 different values.

'The data file called "BOBTR" is a major improvement on BOB.  Each cell
'of the Dobbshead is assigned a value from 0 to 9, based upon how much of
'the cell is covered in black.  It is more subjective than BOB but, I
'believe, contains over 50% of the information contained in the true
'Dobbshead.  There are many ways to represent the data, all based upon
'setting a scale - a different "shade" for each value, 0 to 9.  A shaded
'Dobbshead can thus be represented with the DOT-NATURE REMOVED.  This allows
'one to study the Dobbshead without the confusion of the Dots.  (In creating
'this file I believe I have committed a mortal sin and hope to gain entrance
'into SubGenius Hell.)  There is one program (BTR7) which attempts to
'restore the dot-nature.

'For the most part there are three different types of scales I have used
'to represent BOBTR:
'1) Simple color scale.  A single color is assigned to each value.  Since
'   this version of Basic recognizes only 16 colors, results are limited.
'2) "Pixel-scale".  Since the values are 0 to 9 and since a full scale
'   Dobbshead is composed of 3x3-pixel cells, a full-detail 2-color
'   Dobbshead can be drawn by assigning 0, 1, 2, 3... black pixels to
'   each cell.
'3) Complex color scale.  Better color Dobbsheads can be created by mixing
'   colors in cells on a pixel-by-pixel basis (for instance, a good flesh
'   tone is achieved with 2 red, 1 yellow, and 1 white pixel per 2x2 cell).

'"COLRBOB" is a data file of a complex color scaled Dobbshead in a form
'that QBasic understands using the "PUT" statement.

'--D-ro Dekso Pantenolo (Rev. Matt Fritts)

